Skip to content

Number Entitlements


To use the service, you do not only need licenses like SIP trunk channels or MS Teams users, you also need phone numbers. To get numbers, you can either select numbers from our number inventory or you can port in numbers from another service providers

In order to be able to select numbers from our number inventory, you need to have number entitlements. Number entitlements are licenses that determine how many numbers you can select of a given number type and country. Entitlements are linked to a subscription and are typically ordered together with licenses (e.g. 1 MS Teams seat = 1 MS Teams user license + 1 number entitlement)

This set of APIs allows the API consumer to do CRUD operations on the number entitlements of a subscription.

Geographical regions

Geographically numbers are typically bound to a geographical region within a country. Certain governments impose that you can only get numbers of a certain geographic area if and only if you have a physical presence (a site with an address) in that area. Therefore it is possbile to associate an entitlement to 1 or more geographical areas. A customer will only be allowed to select numbers in those areas for which he/she is entitled.

List all number entitlements of a subscription

Use this endpoint to retrieve all number entitlements currently assigned to a subscription. For each entitlement, the API provides in formation on the actual usage as well as a count of the numbers that were reserved or previsously assigned but now disconnected/quarantained.

Request

Endpoint

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/entitlements

Authorization

Required role

tenants.instance.subscriptions.instance.entitlements.list

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription for which you want to list the licenses

URL/Query parameters

N/A

Response

Status codes

ParameterDescription
200One or more entitlements found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success

Body
ParameterTypeDescriptionConditional?
entitlementsarrayList containing all entitlement objects for the tenantno
Entitlement Object
ParameterTypeDescriptionConditional?
idintegerIndex of the entitlementno
namestringName of the entitlementno
countryCodestringCountry code for which this entitlement is validno
isoCodestringTwo characters ISO 3166 country codeyes
numberTypestringType of numbers for which this entitlement is validno
serviceCapabilitiesstringNot relevant in this contextno
entitlementstringAmount of numbers that can be selectedno
vanityTypestringVanity numbers are numbers that look nice (e.g. end with 0000)no
addressRequiredbooleanIndicates whether or not you need a physical address in a geographical region in order to be able to select a number under this entitlementno
regionsarrayList of geographical regions for which this entitlement is valid. This list depends on the locations added for this account.no
assignedstringAmount of numbers that are assigned under this entitlement. This value will never be higher than entitlement. The value is only returned when at least 1 number is assigned.yes
reservedstringAmount of numbers that are reserved for this subscription and that match the conditions of this entitlement. This value can be higher than entitlement. The value is only returned when at least 1 number is reserved.yes
disconnectedstringAmount of numbers that are in quarantine for this subscription and that match the conditions of this entitlement. This value can be higher than entitlement. The value is only returned when at least 1 number is in quarantine.yes
Example
json
{
    "entitlements": [
        {
            "id": 7,
            "name": "Belgium - geographical numbers",
            "countryCode": "+32",
            "isoCode": "BE",
            "numberType": "geo",
            "serviceCapabilities": "*",
            "entitlement": 10,
            "vanityType": null,
            "addressRequired": true,
            "regions": [
                "Borgloon",
                "Brussels"
            ],
            "assigned": 2,
            "reserved": 20,
            "disconnected": 3
        },
        {
            "id": 8,
            "name": "Belgium - tollfree numbers",
            "countryCode": "+32",
            "isoCode": "BE",
            "numberType": "tollfree",
            "serviceCapabilities": "*",
            "entitlement": 10,
            "vanityType": null,
            "addressRequired": false,
            "regions": []
        }
    ]
}

Create a new entitlement

Use this endpoint to associate a new entitlement to a subscription

Request

Endpoint

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/entitlements

Authorization

Required role

tenants.instance.subscriptions.entitlements.create

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant to which the subscription belongs
sub_idintegerIndex of the subscription to which you want to add an entitlement

URL/Query parameters

N/A

Body
ParameterTypeDescriptionRequired
licenseModelIdstringID of the entitlement type that for which you want to add an entitlement to this subscription. All available entitlement types, please refer to our reference data sectionyes
entitlementintegerThe quantity of numbers of this type that the customer is allowed to use. If not provided, it will be set to 0.no
externalReferencestringOptional parameter that could be used to save the reference given to this product in an external - typically billing - platformno

Example

json
{
  "licenseModelId": 27
}

Response

Status codes

ParameterDescription
200The entitlement was created successfully
400Error while creating the entitlement
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success

Body
ParameterTypeDescriptionConditional
idintegerIndex of the created entitlementno
Example
json
{
  "id": 542
}

Modify an existing entitlement

Use this endpoint to modify an existing entitlement for a subscription. Main use case of the API is to update the allowed quantities, i.e. grant a customer more or less numbers of a given type.

:::Warning If entitlement is equal to assigned The API allows to increase/decrease the value of the entitlement. However, you can of course not lower the entitlement below the amount of numbers that is already assigned to the customer. However, you can lower the entitlement below the current amounts of disconnected and reserved numbers. Reserved and disconnected numbers are not considered when enforcing entitlements. :::

Request

Endpoint

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/entitlements/{id}

Authorization

Required role

tenants.instance.subscriptions.entitlements.instance.update

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant for which you want to modify the entitlement
sub_idintegerIndex of the subscription for which you want to update a number entitlement
idintegerIndex of the customer entitlement you want to update. Note that this is not the licenseModelId but the ID of the entitlement object linked to the subscription

URL/Query parameters

N/A

Body

ParameterTypeDescriptionRequired
entitlementintegerThe quantity of numbers of this type that the customer is allowed to useno
externalReferencestringOptional parameter that could be used to save the reference given to this product in an external - typically billing - platformno

Example

json
{
  "entitlement": 5
}

Response

Status codes

ParameterDescription
200The entitlement was updated successfully
400Error while updating the entitlement
403The API consumer doesn't have sufficient rights to perform this action
404The entitlement does not exist
500Uncatched error on server side

Success

Body
ParameterTypeDescriptionConditional
idintegerIndex of the modified entitlementno
Example
json
{
  "id": 543
}

Delete an entitlement

Use this endpoint to delete an existing entitlement for a tenant on the platform.

WARNING

You can only delete an entitlement if currently no numbers are assigned to the subscription under that entitlement.

Request

Endpoint

DELETE /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/entitlements/{id}

Authorization

Required role

tenants.instance.subscriptions.entitlements.instance.delete

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the tenant that owns the subscription
sub_idintegerIndex of the subscription for which you want to delete an entitlement
idintegerIndex of the customer entitlement you want to delete. Note that this is not the licenseModelId but the ID of the entitlement object linked to the subscription

URL/Query parameters

N/A

Body

N/A

Response

Status codes

ParameterDescription
200The entitlement was deleted successfully. If the entitlement didn't exist, delete will be considered as being executed successfully
400Error while deleting the entitlement
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success

Body
ParameterTypeDescriptionConditional
idintegerIndex of the deleted entitlementno
Example
json
{
  "id": 543
}

Download Group Entitlements

Download Group Entitlements as JSON or CSV or XSLX format.

Request

Endpoint

POST /api/v01/draas/{draas_instance}/groups/{uuid}/downloads/entitlements

Authorization

Required role

groups.instance.downloads.entitlements

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the group

URL/Query parameters

N/A

Body
ParameterTypeDescriptionRequired
formatstringThe file format. Possible values are:
  • csv,
  • json,
  • xlsx.
yes
filenamestringThe file name. If not provided a default file name will be autogenerated.no

Response

The API returns a different response based on JSON or CSV/Excel format.

Status codes

ParameterDescription
200The entitlements has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404The group doesn't exist
500Uncatched error on server side

Success

Body format=json
ParameterTypeDescriptionConditional?
fileBodystringFile content encoded to base64.no
fileNamestringFile name in format: entitlements_group_<group_uuid>_<timestamp>.<format>no
Example
json
{
  "fileBody": "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",
  "fileName": "entitlements_group_adb26c5a-38bf-469c-87e2-20445fa1e64d_20250610.json"
}
Body format=csv

The API directly returns the CSV file as a downloadable attachment. See csv header for details.

CSV Header

name, distributor_name, distributor_uuid, reseller_name, reseller_uuid, tenant_name, tenant_uuid, total, assigned, disconnected, reserved.

Example

Headers

code
Content-Type: text/csv; charset=utf-8
Content-Disposition: attachment; filename="entitlements_group_adb26c5a-38bf-469c-87e2-20445fa1e64d_20250610.csv"

Body (binary content)

code
name,distributor_name,distributor_uuid,reseller_name,reseller_uuid,tenant_name,tenant_uuid,total,assigned,disconnected,reserved
testSub,,,ResellerDistributorDemo,b7f784a2-87f6-483b-a5ac-bef566c6da19,TenantDemo,21fb665e-c3db-40c5-a50c-65a9d4be540a,6,5,1,0
rben_sub1,,,ResellerDistributorDemo,b7f784a2-87f6-483b-a5ac-bef566c6da19,TenantDemo,21fb665e-c3db-40c5-a50c-65a9d4be540a,0,0,0,0
testSub2,,,ResellerDistributorDemo,b7f784a2-87f6-483b-a5ac-bef566c6da19,TenantDemo,21fb665e-c3db-40c5-a50c-65a9d4be540a,0,0,0,0
SubscriptionTD1,DistributorDemo,3c11b370-8e24-416a-af02-fd21d1533587,,,TenantDistributorDemo,e70e7e84-7399-4fcc-9f36-e891d4df020e,0,0,0,0
SubscriptionTD2,DistributorDemo,3c11b370-8e24-416a-af02-fd21d1533587,,,TenantDistributorDemo,e70e7e84-7399-4fcc-9f36-e891d4df020e,0,0,0,0
SubscriptionTR1,,,ResellerDemo,867599fd-195b-4cd3-99b8-44a021799559,TenantResellerDemo,470aa08c-e422-437f-bb34-cc4cf4eb2433,0,0,0,0
SubscriptionTR2,,,ResellerDemo,867599fd-195b-4cd3-99b8-44a021799559,TenantResellerDemo,470aa08c-e422-437f-bb34-cc4cf4eb2433,0,0,0,0
SubscriptionTG1,,,,,TenantGroupDemo,2e35cb52-93f4-4f03-ad65-f027573b8398,0,0,0,0
SubscriptionTG2,,,,,TenantGroupDemo,2e35cb52-93f4-4f03-ad65-f027573b8398,0,0,0,0
Body format=excel

The API directly returns the XLSX file as a downloadable attachment. See xlsx header for details.

XLSX Header

name, distributor_name, distributor_uuid, reseller_name, reseller_uuid, tenant_name, tenant_uuid, total, assigned, disconnected, reserved.

Example
code
Headers
Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet; charset=utf-8
Content-Disposition: attachment; filename="entitlements_group_adb26c5a-38bf-469c-87e2-20445fa1e64d_20250610.xlsx"

Body (binary content)

namedistributor_namedistributor_uuidreseller_namereseller_uuidtenant_nametenant_uuidtotalassigneddisconnectedreserved
testSubResellerDistributorDemob7f784a2-87f6-483b-a5ac-bef566c6da19TenantDemo21fb665e-c3db-40c5-a50c-65a9d4be540a6510
rben_sub1ResellerDistributorDemob7f784a2-87f6-483b-a5ac-bef566c6da19TenantDemo21fb665e-c3db-40c5-a50c-65a9d4be540a0000
testSub2ResellerDistributorDemob7f784a2-87f6-483b-a5ac-bef566c6da19TenantDemo21fb665e-c3db-40c5-a50c-65a9d4be540a0000
SubscriptionTD1DistributorDemo3c11b370-8e24-416a-af02-fd21d1533587TenantDistributorDemoe70e7e84-7399-4fcc-9f36-e891d4df020e0000
SubscriptionTD2DistributorDemo3c11b370-8e24-416a-af02-fd21d1533587TenantDistributorDemoe70e7e84-7399-4fcc-9f36-e891d4df020e0000
SubscriptionTR1ResellerDemo867599fd-195b-4cd3-99b8-44a021799559TenantResellerDemo470aa08c-e422-437f-bb34-cc4cf4eb24330000
SubscriptionTR2ResellerDemo867599fd-195b-4cd3-99b8-44a021799559TenantResellerDemo470aa08c-e422-437f-bb34-cc4cf4eb24330000
SubscriptionTG1TenantGroupDemo2e35cb52-93f4-4f03-ad65-f027573b83980000
SubscriptionTG2TenantGroupDemo2e35cb52-93f4-4f03-ad65-f027573b83980000
testSubResellerDistributorDemob7f784a2-87f6-483b-a5ac-bef566c6da19TenantDemo21fb665e-c3db-40c5-a50c-65a9d4be540a6510
rben_sub1ResellerDistributorDemob7f784a2-87f6-483b-a5ac-bef566c6da19TenantDemo21fb665e-c3db-40c5-a50c-65a9d4be540a0000
testSub2ResellerDistributorDemob7f784a2-87f6-483b-a5ac-bef566c6da19TenantDemo21fb665e-c3db-40c5-a50c-65a9d4be540a0000
SubscriptionTD1DistributorDemo3c11b370-8e24-416a-af02-fd21d1533587TenantDistributorDemoe70e7e84-7399-4fcc-9f36-e891d4df020e0000
SubscriptionTD2DistributorDemo3c11b370-8e24-416a-af02-fd21d1533587TenantDistributorDemoe70e7e84-7399-4fcc-9f36-e891d4df020e0000
SubscriptionTR1ResellerDemo867599fd-195b-4cd3-99b8-44a021799559TenantResellerDemo470aa08c-e422-437f-bb34-cc4cf4eb24330000
SubscriptionTR2ResellerDemo867599fd-195b-4cd3-99b8-44a021799559TenantResellerDemo470aa08c-e422-437f-bb34-cc4cf4eb24330000
SubscriptionTG1TenantGroupDemo2e35cb52-93f4-4f03-ad65-f027573b83980000
SubscriptionTG2TenantGroupDemo2e35cb52-93f4-4f03-ad65-f027573b83980000

Download Distributor Entitlements

Download Distributor Entitlements as JSON or CSV or XSLX format.

Request

Endpoint

POST /api/v01/draas/{draas_instance}/distributors/{uuid}/downloads/entitlements

Authorization

Required role

distributors.instance.downloads.entitlements

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the distributor

URL/Query parameters

N/A

Body
ParameterTypeDescriptionRequired
formatstringThe file format. Possible values are:
  • csv,
  • json,
  • xlsx.
yes
filenamestringThe file name. If not provided a default file name will be autogenerated.no

Response

The API returns a different response based on JSON or CSV/Excel format.

Status codes

ParameterDescription
200The entitlements has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404The distributor doesn't exist
500Uncatched error on server side

Success

Body format=json
ParameterTypeDescriptionConditional?
fileBodystringFile content encoded to base64.no
fileNamestringFile name in format: entitlements_distributor_<distributor_uuid>_<timestamp>.<format&gtno
Example
json
{
  "fileBody": "ewogICJyZXNlcnZlZCI6IDAsCiAgInRvdGFsIjogMCwKICAiYXNzaWduZWQiOiAwLAogICJkaXNjb25uZWN0ZWQiOiAwLAogICJkaXN0cmlidXRvciI6IHsKICAgICJ0ZW5hbnRzIjogWwogICAgICB7CiAgICAgICAgInJlc2VydmVkIjogMCwKICAgICAgICAic3Vic2NyaXB0aW9ucyI6IFsKICAgICAgICAgIHsKICAgICAgICAgICAgInRvdGFsIjogMCwKICAgICAgICAgICAgImFzc2lnbmVkIjogMCwKICAgICAgICAgICAgImRpc2Nvbm5lY3RlZCI6IDAsCiAgICAgICAgICAgICJlbnRpdGxlbWVudHMiOiBbXSwKICAgICAgICAgICAgImlkIjogNiwKICAgICAgICAgICAgIm5hbWUiOiAiU3Vic2NyaXB0aW9uVEQxIiwKICAgICAgICAgICAgInJlc2VydmVkIjogMAogICAgICAgICAgfSwKICAgICAgICAgIHsKICAgICAgICAgICAgInRvdGFsIjogMCwKICAgICAgICAgICAgImFzc2lnbmVkIjogMCwKICAgICAgICAgICAgImRpc2Nvbm5lY3RlZCI6IDAsCiAgICAgICAgICAgICJlbnRpdGxlbWVudHMiOiBbXSwKICAgICAgICAgICAgImlkIjogNywKICAgICAgICAgICAgIm5hbWUiOiAiU3Vic2NyaXB0aW9uVEQyIiwKICAgICAgICAgICAgInJlc2VydmVkIjogMAogICAgICAgICAgfQogICAgICAgIF0sCiAgICAgICAgInRvdGFsIjogMCwKICAgICAgICAidXVpZCI6ICJlNzBlN2U4NC03Mzk5LTRmY2MtOWYzNi1lODkxZDRkZjAyMGUiLAogICAgICAgICJhc3NpZ25lZCI6IDAsCiAgICAgICAgImRpc2Nvbm5lY3RlZCI6IDAsCiAgICAgICAgIm5hbWUiOiAiVGVuYW50RGlzdHJpYnV0b3JEZW1vIgogICAgICB9CiAgICBdLAogICAgInV1aWQiOiAiM2MxMWIzNzAtOGUyNC00MTZhLWFmMDItZmQyMWQxNTMzNTg3IiwKICAgICJuYW1lIjogIkRpc3RyaWJ1dG9yRGVtbyIsCiAgICAicmVzZWxsZXJzIjogWwogICAgICB7CiAgICAgICAgInJlc2VydmVkIjogMCwKICAgICAgICAidGVuYW50cyI6IFtdLAogICAgICAgICJ0b3RhbCI6IDAsCiAgICAgICAgInV1aWQiOiAiYjdmNzg0YTItODdmNi00ODNiLWE1YWMtYmVmNTY2YzZkYTE5IiwKICAgICAgICAiYXNzaWduZWQiOiAwLAogICAgICAgICJkaXNjb25uZWN0ZWQiOiAwLAogICAgICAgICJuYW1lIjogIlJlc2VsbGVyRGlzdHJpYnV0b3JEZW1vIgogICAgICB9CiAgICBdCiAgfQp9",
  "fileName": "entitlements_distributor_3c11b370-8e24-416a-af02-fd21d1533587_20250610.json"
}
Body format=csv

The API directly returns the CSV file as a downloadable attachment. See csv header for details.

CSV Header

name, reseller_name, reseller_uuid, tenant_name, tenant_uuid, total, assigned, disconnected, reserved.

Example

Headers

code
Content-Type: text/csv; charset=utf-8
Content-Disposition: attachment; filename="entitlements_distributor_3c11b370-8e24-416a-af02-fd21d1533587_20250610.csv"

Body (binary content)

code
name,reseller_name,reseller_uuid,tenant_name,tenant_uuid,total,assigned,disconnected,reserved
SubscriptionTD1,,,TenantDistributorDemo,e70e7e84-7399-4fcc-9f36-e891d4df020e,0,0,0,0
SubscriptionTD2,,,TenantDistributorDemo,e70e7e84-7399-4fcc-9f36-e891d4df020e,0,0,0,0
Body format=excel

The API directly returns the XLSX file as a downloadable attachment. See xlsx header for details.

XLSX Header

name, reseller_name, reseller_uuid, tenant_name, tenant_uuid, total, assigned, disconnected, reserved.

Example
code
Headers
Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet; charset=utf-8
Content-Disposition: attachment; filename="entitlements_distributor_3c11b370-8e24-416a-af02-fd21d1533587_20250610.xlsx"

Body (binary content)

namereseller_namereseller_uuidtenant_nametenant_uuidtotalassigneddisconnectedreserved
SubscriptionTD1TenantResellerDemo470aa08c-e422-437f-bb34-cc4cf4eb24330000
SubscriptionTD2TenantResellerDemo470aa08c-e422-437f-bb34-cc4cf4eb24330000

Download Reseller Entitlements

Download Reseller Entitlements as JSON or CSV or XSLX format.

Request

Endpoint

POST /api/v01/draas/{draas_instance}/resellers/{uuid}/downloads/entitlements

Authorization

Required role

resellers.instance.downloads.entitlements

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the reseller

URL/Query parameters

N/A

Body
ParameterTypeDescriptionRequired
formatstringThe file format. Possible values are:
  • csv,
  • json,
  • xlsx.
yes
filenamestringThe file name. If not provided a default file name will be autogenerated.no

Response

The API returns a different response based on JSON or CSV/Excel format.

Status codes

ParameterDescription
200The entitlements has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404The reseller doesn't exist
500Uncatched error on server side

Success

Body format=json
ParameterTypeDescriptionConditional?
fileBodystringFile content encoded to base64.no
fileNamestringFile name in format: entitlements_reseller_<reseller_uuid>_<timestamp>.<format>no
Example
json
{
  "fileBody": "ewogICJkaXNjb25uZWN0ZWQiOiAwLAogICJyZXNlbGxlciI6IHsKICAgICJuYW1lIjogIlJlc2VsbGVyRGVtbyIsCiAgICAidGVuYW50cyI6IFsKICAgICAgewogICAgICAgICJ0b3RhbCI6IDAsCiAgICAgICAgInV1aWQiOiAiNDcwYWEwOGMtZTQyMi00MzdmLWJiMzQtY2M0Y2Y0ZWIyNDMzIiwKICAgICAgICAiYXNzaWduZWQiOiAwLAogICAgICAgICJkaXNjb25uZWN0ZWQiOiAwLAogICAgICAgICJuYW1lIjogIlRlbmFudFJlc2VsbGVyRGVtbyIsCiAgICAgICAgInJlc2VydmVkIjogMCwKICAgICAgICAic3Vic2NyaXB0aW9ucyI6IFsKICAgICAgICAgIHsKICAgICAgICAgICAgImRpc2Nvbm5lY3RlZCI6IDAsCiAgICAgICAgICAgICJlbnRpdGxlbWVudHMiOiBbXSwKICAgICAgICAgICAgImlkIjogMTAsCiAgICAgICAgICAgICJuYW1lIjogIlN1YnNjcmlwdGlvblRSMSIsCiAgICAgICAgICAgICJyZXNlcnZlZCI6IDAsCiAgICAgICAgICAgICJ0b3RhbCI6IDAsCiAgICAgICAgICAgICJhc3NpZ25lZCI6IDAKICAgICAgICAgIH0sCiAgICAgICAgICB7CiAgICAgICAgICAgICJkaXNjb25uZWN0ZWQiOiAwLAogICAgICAgICAgICAiZW50aXRsZW1lbnRzIjogW10sCiAgICAgICAgICAgICJpZCI6IDExLAogICAgICAgICAgICAibmFtZSI6ICJTdWJzY3JpcHRpb25UUjIiLAogICAgICAgICAgICAicmVzZXJ2ZWQiOiAwLAogICAgICAgICAgICAidG90YWwiOiAwLAogICAgICAgICAgICAiYXNzaWduZWQiOiAwCiAgICAgICAgICB9CiAgICAgICAgXQogICAgICB9CiAgICBdLAogICAgInV1aWQiOiAiODY3NTk5ZmQtMTk1Yi00Y2QzLTk5YjgtNDRhMDIxNzk5NTU5IgogIH0sCiAgInJlc2VydmVkIjogMCwKICAidG90YWwiOiAwLAogICJhc3NpZ25lZCI6IDAKfQ==",
  "fileName": "entitlements_reseller_867599fd-195b-4cd3-99b8-44a021799559_20250610.json"
}
Body format=csv

The API directly returns the CSV file as a downloadable attachment. See csv header for details.

CSV Header

name, tenant_name, tenant_uuid, total, assigned, disconnected, reserved.

Example

Headers

code
Content-Type: text/csv; charset=utf-8
Content-Disposition: attachment; filename="entitlements_reseller_867599fd-195b-4cd3-99b8-44a021799559_20250610.csv"

Body (binary content)

code
name,tenant_name,tenant_uuid,total,assigned,disconnected,reserved
SubscriptionTR1,TenantResellerDemo,470aa08c-e422-437f-bb34-cc4cf4eb2433,0,0,0,0
SubscriptionTR2,TenantResellerDemo,470aa08c-e422-437f-bb34-cc4cf4eb2433,0,0,0,0
Body format=excel

The API directly returns the XLSX file as a downloadable attachment. See xlsx header for details.

XLSX Header

name, tenant_name, tenant_uuid, total, assigned, disconnected, reserved.

Example
code
Headers
Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet; charset=utf-8
Content-Disposition: attachment; filename="entitlements_reseller_867599fd-195b-4cd3-99b8-44a021799559_20250610.xlsx"

Body (binary content)

nametenant_nametenant_uuidtotalassigneddisconnectedreserved
SubscriptionTR1TenantResellerDemo470aa08c-e422-437f-bb34-cc4cf4eb24330000
SubscriptionTR2TenantResellerDemo470aa08c-e422-437f-bb34-cc4cf4eb24330000

Download Tenant Entitlements

Download Tenant Entitlements as JSON or CSV or XSLX format.

Request

Endpoint

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/downloads/entitlements

Authorization

Required role

tenants.instance.downloads.entitlements

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant

URL/Query parameters

N/A

Body
ParameterTypeDescriptionRequired
formatstringThe file format. Possible values are:
  • csv,
  • json,
  • xlsx.
yes
filenamestringThe file name. If not provided a default file name will be autogenerated.no

Response

The API returns a different response based on JSON or CSV/Excel format.

Status codes

ParameterDescription
200The entitlements has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404The tenant doesn't exist
500Uncatched error on server side

Success

Body format=json
ParameterTypeDescriptionConditional?
fileBodystringFile content encoded to base64.no
fileNamestringFile name in format: entitlements_tenant_<tenant_uuid>_<timestamp>.<format>no
Example
json
{
  "fileBody": "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",
  "fileName": "entitlements_tenant_21fb665e-c3db-40c5-a50c-65a9d4be540a_20250528.json"
}
Body format=csv

The API directly returns the CSV file as a downloadable attachment. See csv header for details.

CSV Header

name, total, assigned, disconnected, reserved.

Example

Headers

code
Content-Type: text/csv; charset=utf-8
Content-Disposition: attachment; filename="entitlements_tenant_21fb665e-c3db-40c5-a50c-65a9d4be540a_20250528.csv"

Body (binary content)

code
name,total,assigned,disconnected,reserved
testSub,6,5,1,0
rben_sub1,0,0,0,0
testSub2,0,0,0,0
Body format=excel

The API directly returns the XLSX file as a downloadable attachment. See xlsx header for details.

XLSX Header

name, total, assigned, disconnected, reserved.

Example
code
Headers
Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet; charset=utf-8
Content-Disposition: attachment; filename="entitlements_tenant_21fb665e-c3db-40c5-a50c-65a9d4be540a_20250528.xlsx"

Body (binary content)

nametotalassigneddisconnectedreserved
testSub6510
rben_sub10000
testSub20000

Download Subscription Entitlements

Download Subscription Entitlements as JSON or CSV or XSLX format.

Request

Endpoint

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/downloads/entitlements

Authorization

Required role

tenants.instance.subscriptions.instance.downloads.entitlements

Path Parameters

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
sub_idintegerIndex of a subscription for which you want to retrieve the list of licenses

URL/Query parameters

N/A

Body
ParameterTypeDescriptionRequired
formatstringThe file format. Possible values are:
  • csv,
  • json,
  • xlsx.
yes
filenamestringThe file name. If not provided a default file name will be autogenerated.no

Response

The API returns a different response based on JSON or CSV/Excel format.

Status codes

ParameterDescription
200The entitlements has been correctly returned
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404The subscription doesn't exist
500Uncatched error on server side

Success

Body format=json
ParameterTypeDescriptionConditional?
fileBodystringFile content encoded to base64.no
fileNamestringFile name in format: entitlements_tenant_<tenant_uuid>_ subscription_<subscription_id>_<timestamp>.<format>no
Example
json
{
  "fileBody": "ewogICJyZXNlcnZlZCI6IDAsCiAgInRvdGFsIjogNiwKICAiYXNzaWduZWQiOiA1LAogICJkaXNjb25uZWN0ZWQiOiAxLAogICJlbnRpdGxlbWVudHMiOiBbCiAgICB7CiAgICAgICJuYW1lIjogIkJlbGdpdW0gLSBnZW9ncmFwaGljYWwgbnVtYmVycyIsCiAgICAgICJudW1iZXJUeXBlIjogImdlbyIsCiAgICAgICJ2YW5pdHlUeXBlIjogIiIsCiAgICAgICJhc3NpZ25lZCI6IDUsCiAgICAgICJkaXNjb25uZWN0ZWQiOiAxLAogICAgICAiZW50aXRsZW1lbnQiOiA2LAogICAgICAiaWQiOiAyLAogICAgICAiaXNvQ29kZSI6ICJCRSIsCiAgICAgICJyZWdpb25zIjogW10sCiAgICAgICJyZXNlcnZlZCI6IDAsCiAgICAgICJhZGRyZXNzUmVxdWlyZWQiOiBmYWxzZSwKICAgICAgImNvdW50cnlDb2RlIjogIiszMiIsCiAgICAgICJlbnRpdGxlbWVudFR5cGUiOiAxCiAgICB9CiAgXQp9",
  "fileName": "entitlements_tenant_21fb665e-c3db-40c5-a50c-65a9d4be540a_subscription_1_20250610.json"
}
Body format=csv

The API directly returns the CSV file as a downloadable attachment. See csv header for details.

CSV Header

name, total, assigned, disconnected, reserved.

Example

Headers

code
Content-Type: text/csv; charset=utf-8
Content-Disposition: attachment; filename="entitlements_tenant_21fb665e-c3db-40c5-a50c-65a9d4be540a_subscription_1_20250610.csv"

Body (binary content)

code
name,total,assigned,disconnected,reserved
testSub,6,5,1,0
Body format=excel

The API directly returns the XLSX file as a downloadable attachment. See xlsx header for details.

XLSX Header

name, total, assigned, disconnected, reserved.

Example
code
Headers
Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet; charset=utf-8
Content-Disposition: attachment; filename="entitlements_tenant_21fb665e-c3db-40c5-a50c-65a9d4be540a_subscription_1_20250610.xlsx"

Body (binary content)

nametotalassigneddisconnectedreserved
testSub6510